Subject: Re: bug#48228: json-serialize should signal error when dll is not found [MS Windows]

From: Nikolay Kudryavtsev <[email-masked]>
Date: Thu, 6 May 2021 18:26:49 +0300

I'd definitely enjoy a more standardized API for testing optional 
feature presence.

We already have system-configuration-features, seems like it's 
reasonable we get system-configuration-working-features(can't think of a 
good name), which would do X-available-p for every X in 
system-configuration-features.

But first we'd have to get X-available-p(or some other convention) 
working for everything. Would it be acceptable for Emacs to ship with a 
small image in every supported format? Then imageX-available-p can be 
implemented by opening that image and catching the failure in 
create-image. I know that the spash.* image is already shipped in most 
formats, even in bmp for some reason.

This would let you quickly test which features are working... Now I have 
to go through a checklist 
<https://github.com/sg2002/ms-windows-builder.el#emacs-optional-feature-checklist>. 
Then I'd be able to automate such a check, which would be pretty helpful.